com.lowagie.toolbox.arguments

## Class IntegerArgument

- java.lang.Object
- - com.lowagie.toolbox.arguments.AbstractArgument
  - - com.lowagie.toolbox.arguments.IntegerArgument

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

      public class IntegerArgument
      extends AbstractArgument

  This is an argument of one of the tools in the toolbox.
  Since:
    2.1.1 (imported from itexttoolbox project)

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `description, name, pcs, tool, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerArgument()` Constructs a IntegerArgument.
    `IntegerArgument(AbstractTool tool, java.lang.String name, java.lang.String description)` Constructs a IntegerArgument.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`

    - ### Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument

      `addPropertyChangeListener, firePropertyChange, getArgument, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerArgument

          public IntegerArgument()

      Constructs a IntegerArgument.

    - #### IntegerArgument

          public IntegerArgument(AbstractTool tool,
                         java.lang.String name,
                         java.lang.String description)

      Constructs a IntegerArgument.
      Parameters:
        `tool` - the tool that needs this argument
        `name` - the name of the argument
        `description` - the description of the argument

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Specified by:
        `actionPerformed` in class `AbstractArgument`
      Parameters:
        `e` - ActionEvent
      See Also:
        `ActionListener.actionPerformed(java.awt.event.ActionEvent)`